Bug 103359 - Crash where undo the create frame
Summary: Crash where undo the create frame
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: high critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-10-20 18:08 UTC by rmbeer
Modified: 2016-10-25 07:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SfxItemSet::SfxItemSet(SfxItemSet const &)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rmbeer 2016-10-20 18:08:59 UTC
Description:
In the steps exact produced a crash for libreoffice Write, loss all datas.

Steps to Reproduce:
1. Go to "Insert" > "Frame" > "Frame..." , this appear the new window settings
2. In this window go to "Column" , set to 3 column and 0,1cm for spacing in between columns. Press "OK/Accept"
3. Where put the frame in the page, press Ctrl+Z for undo the frame.

This crash all libreoffice write.

Actual Results:  
Not have solution.

Expected Results:
Undo the frame without problem


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux i686; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Aron Budea 2016-10-21 04:05:01 UTC
Reproduced with v4.4.0.3, v5.1.5.2, 5.2.2.2, 5.3 daily build (2016-10-20_06:56:44) / Windows 7.
Crash report: http://crashreport.libreoffice.org/stats/crash_details/eca3d7d3-43fb-4135-ad91-5cb625258263

Not reproduced with v4.3.0.4.
=> regression
Comment 2 Xisco Faulí 2016-10-21 11:33:32 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2014-07-24 10:13:40 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2014-07-24 11:46:56 (GMT)
commit	e08fc65e5fe716c838b0c0dc29d337967df5380f (patch)
tree	9967c5c2ba90bad1975114103f9fe61500ac79ec
parent	4681801f8515c18b6ecead39093effecbbc6df46 (diff)

enable undoing frame style creation
like all the rest, do it in non-broadcast mode as well

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2016-10-21 19:33:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1dea8100b345b15705cad366d1bcc9516bb15e9

Resolves: tdf#103359 undo of insert of multi column frame crashes

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-10-25 07:40:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f6d624843fef768a159724e199459a23f3ad2bb&h=libreoffice-5-2

Resolves: tdf#103359 undo of insert of multi column frame crashes

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.